<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      th:replace="~{/layout/layout_admin :: main-fragment(
                                                ~{:: title},
                                                'header',
                                                'sidebar',
                                                ~{:: #css-resources},
                                                ~{:: #js-resources},
                                                ~{:: #main-content}
                                               )}">
<head>
    <meta charset="UTF-8">
    <title>Danh sách đơn hàng</title>
    <th:block id="css-resources">
        <link rel="stylesheet" th:href="@{/adminlte/pagination/simplePagination.css}">
    </th:block>
</head>
<body>
<section role="main" class="content-body" id="main-content">
    <header class="page-header">
        <!--        <h2>Editable Tables</h2>-->
        <div class="right-wrapper text-right">
            <ol class="breadcrumbs">
                <li>
                    <a href="">
                        <i class="bx bx-home-alt"></i>
                    </a>
                </li>
                <li><span>Danh sách đơn hàng</span></li>
            </ol>
            <a class="sidebar-right-toggle" data-open="sidebar-right"><i
                    class="fas fa-chevron-left"></i></a>
        </div>
    </header>

    <section class="card">
        <header class="card-header">
            <div class="card-actions">
                <a href="#" class="card-action card-action-toggle" data-card-toggle></a>
                <a href="#" class="card-action card-action-dismiss" data-card-dismiss></a>
            </div>
            <h2 class="card-title">Danh sách đơn hàng</h2>
        </header>
        <div class="card-body">
            <div class="row">
                <div class="col-sm-6">
                    <div class="mb-3">
                        <a href="/admin/orders/create" id="addToTable" class="btn btn-primary">Thêm mới đơn hàng <i
                                class="fas fa-plus"></i></a>
                        <a href="/admin/orders" class="btn btn-primary">Refresh <i
                                class="fas fa-redo-alt"></i></a>
                        <button id="btn-search" class="btn btn-primary">Tìm kiếm <i
                                class="fas fa-search"></i></button>
                    </div>
                </div>
            </div>
            <table class="table table-bordered table-striped mb-0" id="datatable-editable">
                <thead>
                <tr>
                    <th width="8%">Mã đơn hàng</th>
                    <th width="20%">Sản phẩm</th>
                    <th>Người nhận</th>
                    <th>Điện thoại</th>
                    <th>Trạng thái</th>
                    <th>Ngày tạo</th>
                    <th>Ngày sửa</th>
                </tr>
                <tr>
                <tr class="heading-search">
                    <form method="GET" id="search-form">
                        <th>
                            <input type="text" name="id" id="id" class="form-control search-input">
                        </th>
                        <th>
                            <input type="text" name="name" id="name" class="form-control search-input">
                        </th>
                        <th>
                            <input type="text" name="phone" id="phone" class="form-control search-input">
                        </th>
                        <th>
                            <select name="status" class="form-control search-select" id="status">
                                <option value="">Tất cả</option>
                                <option value="1">Chờ lấy hàng</option>
                                <option value="2">Đang giao hàng</option>
                                <option value="3">Đã giao hàng</option>
                                <option value="4">Đơn hàng bị trả lại</option>
                                <option value="5">Đơn hàng bị hủy</option>

                            </select>
                        </th>
                        <th>
                            <select name="product" class="form-control search-select" id="product">
                                <option value="">Tất cả</option>
                                <th:block th:each="product : ${productList}">
                                    <option th:value="${product.id}" th:text="${product.name}"></option>
                                </th:block>
                            </select>
                        </th>
                        <th></th>
                        <th></th>
                        <input type="hidden" name="page" id="page">
                    </form>
                </tr>
                </tr>
                </thead>
                <tbody>
                <th:block th:each="order : ${orderPage}">
                    <tr>
                        <td th:text="${order.id}"></td>
                        <td>
                            <a th:href="@{/admin/orders/update/{id}(id=${order.id})}" th:text="${order.product.name}"></a>
                        </td>
                        <td th:text="${order.receiverName}"></td>
                        <td th:text="${order.receiverPhone}"></td>
                        <td>
                            <span th:if="${order.status} == 1" class="badge badge-warning">Chờ lấy hàng</span>
                            <span th:if="${order.status} == 2" class="badge badge-primary">Đang giao hàng</span>
                            <span th:if="${order.status} == 3" class="badge badge-success">Đã giao hàng</span>
                            <span th:if="${order.status} == 4" class="badge badge-danger">Đơn hàng bị trả lại</span>
                            <span th:if="${order.status} == 5" class="badge badge-light">Đơn hàng bị hủy</span>
                        </td>
                        <td>
                            <span th:text="${#dates.format(order.createdAt, 'dd-MM-yyyy HH:mm')}"></span>
                        </td>
                        <td>
                            <span th:text="${#dates.format(order.modifiedAt, 'dd-MM-yyyy HH:mm')}"></span>
                        </td>
                    </tr>
                </th:block>
                </tbody>
            </table>
            <br>
            <!-- Pagination -->
            <nav aria-label="Page navigation">
                <ul class="pagination" id="pagination"></ul>
            </nav>
        </div>
    </section>

</section>

<th:block id="js-resources">
    <script type="text/javascript" th:src="@{/adminlte/pagination/jquery.simplePagination.js}"></script>
    <script type="text/javascript" th:src="@{/adminlte/js/table.js}"></script>
    <script th:inline="javascript">
        let id, name, phone, status, product, page;
        $(function () {
            let vars = parseUrl();
            id = vars["id"] || ""
            name = vars["name"] || ""
            phone = vars["phone"] || ""
            status = vars["status"] || ""
            product = vars["product"] || ""
            page = vars["page"] || "0"

            $('#id').val(id)
            $('#name').val(name)
            $('#phone').val(phone)
            $('#status').val(status)
            $('#product').val(product)
            $('#page').val(page)

            pagination([[${totalPages}]],[[${currentPage}]])
        });
    </script>
</th:block>
</body>
</html>